Subject: Re: bug#61483: [PATCH 0/5] Some basic Home Shepherd Services

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sun, 05 Mar 2023 18:41:07 +0100

Ludovic Courtès writes:

> "Jan (janneke) Nieuwenhuizen" <[email-masked]> skribis:
>
>> * gnu/home/services/shepherd-xyz.scm: New file.
>> * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.
>
> I’d make it version-control.scm instead.

Let's do that...
>
>> +(define-record-type* <home-git-daemon-configuration>
[..]

> I have a prototype here to “transform” a System service into a Home
> service.  Would it be of any use here, to share code with
> ‘git-daemon-service-type’?

Yes, that would be nice...

> Looks like the only issue would be #:user "git-daemon", which is not
> going to work, and I don’t have a good solution to that.  :-/

...but indeed.  I tried something along those lines.  Oh well, I guess I
can run my shepherd home git-daemon to system scope and we can ponder on
this some more.

Come to think of it, are there any plans/ideas to specify home service
configurations in the system configuration?

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com